@import 'src/utils/scss';
@import 'vars';

.container {
  form {
    padding-top: 20px;
  }
  padding-top: 35px;
  font-family: $font-sans;
  display: flex;
  flex-direction: column;
}

.section {
  margin: 15px auto;
  display: flex;
  flex-direction: column;
}

.title {
  font-size: 32px;
  font-weight: 600;
  margin: 0;
  text-align: center;
}

.subTitle {
  font-size: 20px;
  font-weight: 400;
}

.input {
  margin-top: 10px;
  margin-bottom: 20px;
}

.label {
  display: block;
  width: 100%;
}

.blackText {
  color: black;
}

.inputsWrapper {
  display: flex;
}

.inputError {
  outline: 2px solid $c-bittersweet;
  outline-offset: 1px;
}

.textarea {
  width: 100%;
  font: $font-sans;
  margin-top: 35px;
  padding: 10px 15px;
  font-size: 20px;
  text-align: left;
  margin-bottom: 20px;
  &::placeholder {
    color: var(--color-card-header-grey);
  }
}

.scrollableWrapper {
  max-height: 300px;
  overflow-y: auto;
  margin: 20px 0;
  padding-left: 3px;
}

.deleteBtn {
  border: 0;
  font-size: 20px;
  cursor: pointer;
  background-color: transparent;
  color: white;
  margin: 8px;
}

.argumentInputs {
  display: flex;
  width: 100%;
  justify-content: space-between;
  input {
    overflow: visible;
    display: flex;
    width: 100%;
    padding: 10px 15px;
    margin: 5px 5px 5px 0;
  }
}

.projectSelect {
  margin: 20px 0;
}
.file {
  display: flex;
  justify-content: space-between;
  align-items: center;

  input {
    border: 1px solid #858383;
    color: #858383;
  }
  input[type='file'] {
    padding: 5px;
  }
}
.fileLabel {
  margin-right: 10px;
}
.fileInput {
  width: 300px;
}

.seriesDialog {
  width: 90%;
}

.actions {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  flex-wrap: wrap;
}
.actionsRow {
  min-height: 130px;
  min-width: 200px;
}

.actionsColumn {
  display: flex;
  flex-grow: 1;
  justify-content: center;
  flex-direction: column;
}

.inputTypeButton {
  @media (min-width: $breakpoint-md) {
    display: block;
    margin-left: auto;
    width: 347px;
    max-width: 99%;
  }
}

.addElementBtn {
  display: block;
  margin-right: auto;
  width: 347px;
  max-width: 99%;
}

.submitButton {
  display: block;
  width: 347px;
  max-width: 100%;
  margin: 15px auto;
}

.checkbox {
  margin: 12px 0 12px;
  input {
    margin-right: 10px;
  }
}

.warning {
  color: $c-bittersweet;
  margin: unset;
  width: 300px;
}

.generatedTableContainer {
  font-family: $font-sans;
  background-color: #151515;
  width: 100%;
  padding: 28px;
  margin-top: 30px;
  font-size: 20px;
}

.generatedTable {
  margin: auto;

  td,
  th {
    text-align: left;
  }

  td {
    padding-left: 10px;
  }
}

.networkIndicator {
  text-align: center;
  span {
    opacity: 0.3;
    animation: pulsatingText 3s ease-out infinite;
    color: red;
  }
}

@keyframes pulsatingText {
  0% {
    opacity: 0.3;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0.3;
  }
}

.switchButton {
  background: rgba(255, 255, 255, 0.2);
  border: 1px solid $c-white;
  overflow: hidden;
  width: 240px;
  text-align: center;
  font-size: 18px;
  letter-spacing: 1px;
  font-weight: bold;
  color: $c-black;
  position: relative;
  padding-right: 120px;

  &:before {
    content: 'Mint';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 3;
    pointer-events: none;
  }

  &Checkbox {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 2;

    &:checked + .switchButtonLabel:before {
      transform: translateX(120px);
      transition: transform 500ms;
    }

    & + .switchButtonLabel {
      position: relative;
      padding: 15px 0;
      display: block;
      user-select: none;
      pointer-events: none;

      &:before {
        content: '';
        background: #fff;
        height: 100%;
        width: 100%;
        position: absolute;
        left: 0;
        top: 0;
        transform: translateX(0);
        transition: transform 500ms;
      }

      .switchButtonLabelSpan {
        position: relative;
      }
    }
  }
}
